identifier: drk_orderform
label: drk_orderform
type: Form
prototypeName: drkform
renderingOptions:
  controllerAction: send
  submitButtonLabel: Absenden
  additionalAttributes:
    class: 'o-form'
renderables:
  -
    type: Page
    identifier: page-1
    renderables:
      -
        type: Fieldset
        identifier: fieldset-1
        properties:
          elementClassAttribute: 'o-form'
        renderables:
          -
            label: 'Bestellformular'
            properties:
              text: 'Die mit einem Stern (*) markierten Felder sind Pflichtfelder.'
            type: StaticText
            identifier: statictext-1
          -
            type: GridRow
            identifier: gridrow-1
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-12 columns'
            renderables:
              -
                type: SingleSelect
                identifier: p_prefix
                label: Anrede
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--select'
                  fluidAdditionalAttributes:
                    tabindex: 1
          -
            type: GridRow
            identifier: gridrow-2
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-12 columns is-last-in-row'
            renderables:
              -
                type: SingleSelect
                identifier: p_title
                label: Titel
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--select'
                  fluidAdditionalAttributes:
                    tabindex: 2
          -
            type: GridRow
            identifier: gridrow-3
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-12 columns'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: p_firstname
                label: Vorname
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  elementDescription: ''
                  fluidAdditionalAttributes:
                    required: required
                    maxlength: 60
                    tabindex: 3
                  validationErrorMessages:
                    -
                      code: 1221560910
                      message: 'Das ist ein Pflichtfeld.'
                validators:
                  -
                    identifier: NotEmpty
              - defaultValue: ''
                type: Text
                identifier: p_birthname
                label: Geburtstname
                properties:
                  elementClassAttribute: 'o-form__p_birthname'
                  fluidAdditionalAttributes:
                    tabindex: -1
                    autocomplete: 'off'
                    aria-hidden: 'true'
          -
            type: GridRow
            identifier: gridrow-4
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-12 columns is-last-in-row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: p_lastanme
                label: Nachname
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    required: required
                    maxlength: 60
                    tabindex: 4
                  validationErrorMessages:
                    -
                      code: 1221560910
                      message: 'Das ist ein Pflichtfeld.'
                validators:
                  -
                    identifier: NotEmpty
          - type: GridRow
            identifier: gridrow-5
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: p_street
                label: 'Straße / Nr.'
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    maxlength: 60
                    tabindex: 5
          -
            type: GridRow
            identifier: gridrow-6
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-5 columns'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: p_zip
                label: PLZ
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    minlength: 5
                    maxlength: 5
                    tabindex: 6
                    pattern: '[0-9]+'
          -
            type: GridRow
            identifier: gridrow-7
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-19 columns is-last-in-row'
            renderables:
              -
                defaultValue: ''
                type: Text
                identifier: p_city
                label: Stadt
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    maxlength: 60
                    tabindex: 7
          -
            type: GridRow
            identifier: gridrow-8
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                defaultValue: ''
                type: Telephone
                identifier: p_phone
                label: Telefon
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    maxlength: 20
                    tabindex: 8
                    pattern: '[0-9]+'
          -
            type: GridRow
            identifier: gridrow-9
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                defaultValue: ''
                type: Email
                identifier: p_mail
                label: Mail
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--text'
                  fluidAdditionalAttributes:
                    maxlength: 128
                    tabindex: 9
          -
            type: GridRow
            identifier: gridrow-10
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                properties:
                  fluidAdditionalAttributes:
                    tabindex: 10
                  options:
                    0: Informationsmaterial zusenden
                  elementClassAttribute: 'o-check-group__option'
                  containerClassAttribute: 'o-check-group'
                type: MultiCheckbox
                identifier: subject
                label: 'Mein Anliegen'
                defaultValue:
                  - '0'
          -
            type: GridRow
            identifier: gridrow-11
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                type: Textarea
                identifier: message
                properties:
                  elementClassAttribute: 'o-form__field o-form__field--textarea'
                  fluidAdditionalAttributes:
                    placeholder: 'Ihre Mitteilung an uns'
                    tabindex: 11
          -
            type: GridRow
            identifier: gridrow-12
            label: 'Grid: Row'
            properties:
              elementClassAttribute: 't-medium-24 columns is-last-in-row'
            renderables:
              -
                properties:
                  text: 'Mit dem Absenden des Formulars bestätige ich, dass ich die Datenschutz-Hinweise zur Kenntnis genommen habe.'
                  fluidAdditionalAttributes:
                    tabindex: 12
                type: StaticText
                identifier: statictext-3
